> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/account-stores/store-details",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Store details

> Get store details

scopes:
- admin:accounts
- read:accounts




## OpenAPI

````yaml /mintlify-docs/openapi/spec-management-auth.yaml get /accounts/{aid}/stores/{store_id}
openapi: 3.0.0
info:
  title: Account Management API
  description: >
    # Changelog


    All notable changes to the API.


    ## 2026-05-08


    > **update** Add `terminals` and `stores` to GET endpoint for
    `/{oid}/payout-destinations/{payout_destination_id}`

    >

    > - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](#operation/aid_mgmnt_payout_destinations_get_by_id)


    ## 2026-05-06


    > **update** Add `supported_invoice_channels` support for Kravia connection
    update.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_put)


    ## 2026-05-03


    > **new** POST endpoint for `/{aid}/payout-destinations` and GET endpoint
    for `/{oid}/payout-destinations/{payout_destination_id}`

    >

    > - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](#operation/aid_mgmnt_payout_destinations_get_by_id)

    > - [POST
    /v1/accounts/{aid}/payout-destinations](#operation/aid_mgmnt_payout_destinations_post)


    ## 2026-05-02


    > **new** New query parameters `search` and `creation_state` for Price
    package collection

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_get)


    ## 2026-05-01


    > **new** Update payout destination.

    >

    > - [PATCH
    /v1/accounts/{oid}/management/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_by_id_patch)


    > **update** Add payout_interval_type value `"manual"`.

    >

    > - [PATCH
    /v1/accounts/{oid}/management/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_by_id_patch)


    ## 2026-04-29


    > **update** Add `terminal_id` query parameter to filter stores by terminal.

    >

    > - [GET
    /v1/accounts/{aid}/stores](#operation/aid_account_management_stores_get)


    > **break** Remove deprecated `/management/` path prefixes for stores,
    terminals and payout-destinations.

    > Use the plain paths instead.

    >

    > - [GET
    /v1/accounts/{aid}/stores](#operation/aid_account_management_stores_get)

    > - [POST
    /v1/accounts/{aid}/stores](#operation/aid_account_management_stores_post)

    > - [GET
    /v1/accounts/{aid}/stores/{store_id}](#operation/aid_account_management_stores_sid_get)

    > - [PUT
    /v1/accounts/{aid}/stores/{store_id}](#operation/aid_account_management_stores_sid_put)

    > - [DELETE
    /v1/accounts/{aid}/stores/{store_id}](#operation/aid_account_management_stores_sid_delete)

    > - [GET
    /v1/accounts/{aid}/terminals](#operation/aid_account_management_terminals_get)

    > - [POST
    /v1/accounts/{aid}/terminals](#operation/aid_account_management_terminals_post)

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_get)

    > - [PUT
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)

    > - [DELETE
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_delete)

    > - [GET
    /v1/accounts/{oid}/payout-destinations](#operation/aid_mgmnt_payout_destinations_get)

    > - [PATCH
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_by_id_patch)

    > - [POST
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}/payouts](#operation/oid_mgmnt_payout_destinations_payouts_post)


    > **update** `device_model` on terminals is now an enum. Accepted values are
    `SATURN1000`, `Saturn_S1F4_Pro`, `S1P2`.

    >

    > - [POST
    /v1/accounts/{aid}/terminals](#operation/aid_account_management_terminals_post)

    > - [PUT
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)

    > - [GET
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_get_by_id)

    > - [POST
    /v1/accounts/{oid}/payout-destinations](#operation/aid_mgmnt_payout_destinations_post)


    ## 2026-04-27


    > **update** Add `email`, `website`, and `phone_number` to payout
    destinations.

    >

    > - [GET
    /v1/accounts/{oid}/payout-destinations](#operation/aid_mgmnt_payout_destinations_get)

    > - [PATCH
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_by_id_patch)


    ## 2026-04-17


    > **new** Add plain path aliases for stores, terminals and
    payout-destinations.

    > The `/management/` prefix is no longer required.

    >

    > - [GET
    /v1/accounts/{aid}/stores](#operation/aid_account_management_stores_get)

    > - [POST
    /v1/accounts/{aid}/stores](#operation/aid_account_management_stores_post)

    > - [GET
    /v1/accounts/{aid}/stores/{store_id}](#operation/aid_account_management_stores_sid_get)

    > - [PUT
    /v1/accounts/{aid}/stores/{store_id}](#operation/aid_account_management_stores_sid_put)

    > - [DELETE
    /v1/accounts/{aid}/stores/{store_id}](#operation/aid_account_management_stores_sid_delete)

    > - [GET
    /v1/accounts/{aid}/terminals](#operation/aid_account_management_terminals_get)

    > - [POST
    /v1/accounts/{aid}/terminals](#operation/aid_account_management_terminals_post)

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_get)

    > - [PUT
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)

    > - [DELETE
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_delete)

    > - [GET
    /v1/accounts/{oid}/payout-destinations](#operation/aid_mgmnt_payout_destinations_get)

    > - [PATCH
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_by_id_patch)

    > - [POST
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}/payouts](#operation/oid_mgmnt_payout_destinations_payouts_post)


    ## 2026-04-09


    > Add endpoint to onboard merchant to Seitatech and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/seitatech](#operation/aid_account_settings_connections_seitatech_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/seitatech](#operation/aid_account_settings_connections_seitatech_post)


    ## 2026-04-08


    > **break** Rename `locations` to `stores` in management API. The
    `/management/locations` endpoints are now `/management/stores`. Related
    properties renamed: `location_id` to `store_id`, `location_name` to
    `store_name`, `number_of_locations` to `number_of_stores`. Webhook events
    renamed from `account_location_*` to `account_store_*`.

    >

    > - [GET
    /v1/accounts/{aid}/management/stores](#operation/aid_account_management_stores_get)

    > - [POST
    /v1/accounts/{aid}/management/stores](#operation/aid_account_management_stores_post)

    > - [GET
    /v1/accounts/{aid}/management/stores/{store_id}](#operation/aid_account_management_stores_sid_get)

    > - [PUT
    /v1/accounts/{aid}/management/stores/{store_id}](#operation/aid_account_management_stores_sid_put)

    > - [DELETE
    /v1/accounts/{aid}/management/stores/{store_id}](#operation/aid_account_management_stores_sid_delete)


    ## 2026-04-01


    > **new** On-demand payouts.

    >

    > - [POST
    /v1/accounts/{oid}/management/payout-destinations/{payout_destination_id}/payouts](#operation/oid_mgmnt_payout_destinations_payouts_post)


    ## 2026-03-25


    > **new** Add endpoint for listing Bambora IPP submerchant onboardings

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/connections/bambora-ipp-submerchants](#operation/aid_account_settings_connections_bambora_ipp_get)


    ## 2026-03-20


    > **update** Add `payment_product_type_category` as a price package price
    dimension. Also add enum values and descriptions for the price `name`
    property.

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_get)

    > - [POST
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_post)

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}](#operation/aid_mgmnt_price_packages_put)

    > - [GET
    /v1/accounts/{aid}/management/price-package](#operation/aid_account_price_package_get)


    > **update** Update Mastercard Match terminate and search response to use
    new values from Match Pro API. Replace `cat_flag` with `is_proprietorship`
    and `is_transaction_laundering` in terminate request. Update all MATCH
    response definitions per MATCH Pro spec, and use snake_case for all schemas.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/match/terminate](#operation/accounts_aid_search_match_terminate_merchant_post)

    > - [POST
    /v1/accounts/{aid}/compliance-search/match](#operation/accounts_aid_search_match_post)

    > - [GET
    /v1/accounts/{aid}/compliance-search/match/{irn}](#operation/accounts_aid_search_match_get)


    ## 2026-03-11


    > **update** Add `TERMINATED` to approval status for approvals filtering and
    response status.

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payments](#operation/aid_management_settings_approvals_payment_get)

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_get)


    ## 2026-03-09


    > **new** New query parameters for Payout destination collection

    >

    > - [GET
    /v1/accounts/{aid}/management/payout-destinations](#operation/aid_mgmnt_payout_destinations_get)


    ## 2026-03-04


    > **update** Add `ipp` Checkout service feature

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - [GET
    /v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)


    ## 2026-02-25


    > **update** Add `organization.country` and `organization.type` to location
    organization input.

    >

    > - [POST
    /v1/accounts/{aid}/management/locations](#operation/aid_account_management_locations_post)

    > - [PUT
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_put)


    ## 2026-02-23


    > **update** Add `payout_interval_type`, `number_of_locations`,
    `number_of_terminals` to `AuthPayoutDestinationReadOnly`

    >

    > - [GET
    /v1/accounts/{aid}/managment/payout-destinations](#operation/aid_mgmnt_payout_destinations_get)



    ## 2026-02-21


    > **update** Add `kravia` to `payment_methods` of `ApprovalPayments`

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payments](#operation/aid_management_settings_approvals_payment_get)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](#operation/aid_management_settings_approvals_payment_post)


    ## 2026-02-20


    > **update** Add support for `terminals` to location responses and
    `terminals_summary` to location collection entries.

    >

    > **update** Add `status` to terminal.

    >

    > - [GET
    /v1/accounts/{aid}/management/locations](#operation/aid_account_management_locations_get)

    > - [GET
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_get)

    > - [ PUT
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_put)

    > - [DELETE
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_delete)



    ## 2026-02-28


    > Add endpoint to onboard merchant to Two and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/two](#operation/aid_account_settings_connections_two_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/two](#operation/aid_account_settings_connections_two_post)


    ## 2026-02-13


    > **update** Add `invoice_delivery_method` support for Kravia connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_post)

    >

    > **new** Add endpoint for updating Kravia invoice delivery mode.

    > - PUT
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_put)


    ## 2026-02-10


    > **update** Add `website` and `coordinates` properties to [location
    management endpoints](#tag/account-locations)


    ## 2026-01-16


    > **update** Add `allowed_merchant_category_codes` property to Account
    `onboarding`

    >

    > Restricts the MCC codes available for selection during merchant
    onboarding.

    >

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)


    ## 2026-01-12


    > **new** New query parameter for accounts collection: `services`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2025-12-31


    > **update** Document support for 404 status from callback endpoint

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/cdd/cases/{id}/callback](#operation/aid_management_settings_cdd_cases_callback)


    ## 2025-12-16


    > **update** add `operator_payout_destination` property to location
    management endpoints

    >

    > [GET location details](#operation/aid_account_management_locations_get)

    > [GET location list](#operation/aid_account_management_locations_lid_get)


    ## 2025-12-15


    > **update** Added `location_name` and `number_of_terminals` properties to
    the [location endpoints](#tag/account-locations)


    ## 2025-12-09


    > **update** remove `device_serial_number` property for update operation

    >

    > [PUT
    /v1/accounts/{aid}/management/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)


    ## 2025-12-09


    > - Removed entity management endpoints for `/entities` and
    `/transfer-instruments`

    > - Removed POST endpoint for entity management `/payout-destinations`

    > - Updated [GET payout
    destinations](#operation/aid_mgmnt_payout_destinations_get)


    ## 2025-11-20


    > **update** Add `public_business_name` to `AuthenticatedAccountUser`

    >

    > - GET [/v1/account/user](#operation/account_user_get)


    ## 2025-10-31


    > **new** Add new `locations` and `terminals` endpoints to replace
    documented entity API

    > - [POST/GET/DELETE locations](#tag/account-locations)

    > - [POST/GET/DELETE terminals](#tag/account-terminals)


    ## 2025-10-28


    > **update** Add `configuration` property to Kravia connection response to
    include merchant configuration details.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_get)


    ## 2025-10-27


    > Add endpoint to onboard merchant to Kravia and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/kravia](#operation/aid_account_settings_connections_kravia_post)


    ## 2025-10-20


    > Add endpoint to onboard merchant to Click-to-pay and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/clicktopay](#operation/aid_account_settings_connections_visa_click_to_pay_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/clicktopay](#operation/aid_account_settings_connections_visa_click_to_pay_post)


    ## 2025-10-06


    > Remove pattern requirement for `billing.billing_statement.name`

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)


    ## 2025-09-25


    > Add new property `public_business_name` to Account `company`

    > Represents the public business name of the company, also known as "Doing
    business as" business name.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)


    ## 2025-09-15


    > Add new scope `write:accounts:/assets` for creating upload URLs

    > Extend the create upload URL endpoint with
    `write:dintero:/management/accounts` access

    >

    > - POST
    [v1/accounts/{aid}/management/assets](#operation/aid_account_assets_post)


    ## 2025-09-09


    > Support more mime types for creating an upload URL

    >

    > - POST
    [v1/accounts/{aid}/management/assets](#operation/aid_account_assets_post)


    ## 2025-08-27


    > Add new property `attachments` to Account

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)


    ## 2025-08-26


    > Add new property `terms` to Account `company`

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)



    ## 2025-08-25


    > Add new property `contacts` to Account `company`

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)


    ## 2025-08-22


    > Add new property `billing_statement` to Account `billing`

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)


    ## 2025-08-19


    > Add new property `onboarding` to Account settings

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)


    ## 2025-06-01


    > Add new endpoints for Entity Management

    > - [Entities](#tag/entities)

    > - [Stores](#tag/stores)

    > - [Transfer Instruments](#tag/transfer-instruments)

    > - [Payout Destinations](#tag/payout-destinations)


    ## 2025-05-12


    > Add `country` query parameter to accounts collection

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2025-04-01


    > Adds Mastercard Tokenization enrollment

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/mastercard-tokenization](#operation/aid_account_settings_connections_mastercard_tokenization_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/mastercard-tokenization](#operation/aid_account_settings_connections_mastercard_tokenization_get)

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2025-03-31


    > **new** Add support for updating API Client name and description

    > - [PATCH
    /v1/accounts/{oid}/auth/clients/{id}](#operation/aid_auths_clients_id_patch)


    > **new** Document support for new dintero scopes

    > - [POST
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_post)

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}](#operation/aid_mgmnt_price_packages_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](#operation/aid_account_settings_price_packages_put)


    ## 2025-03-02


    > **new** `source_price_package_id` property in `PricePackageMeta`
    definition to keep track of the price package a price package is based on.

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_get)

    > - [POST
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_post)


    ## 2025-03-01


    > Endpoint for signing up to Swish PayFac

    >

    > - [POST
    /management/settings/connections/swish-payfac](#operation/aid_account_settings_connections_swish_payfac_post)


    > Adds Dintero PSP connection.

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/dintero-psp](#operation/aid_account_settings_connections_dintero_psp_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/dintero-psp](#operation/aid_account_settings_connections_dintero_psp_get)


    > Changes to Visa Tokenization enrollment, rename from visa-tokens to
    visa-tokenization

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/visa-tokenization](#operation/aid_account_settings_connections_visa_tokenization_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/visa-tokenization](#operation/aid_account_settings_connections_visa_tokenization_get)

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    > Changes to 3D-Secure enrollment, make the API stateful and algin it to the
    other connections.

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/mastercard-3ds](#operation/aid_account_settings_connections_mastercard_3ds_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/mastercard-3ds](#operation/aid_account_settings_connections_mastercard_3ds_get)

    > - GET
    [/v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2025-02-03


    > Support individual sellers in "New seller approval" endpoint.

    >

    > - POST
    [/v1/accounts/{oid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_post)


    ## 2025-02-01


    > Extend update price packages endpoint with new query parameter
    `remove_default_price_package` to support removing the default price package
    from the partner configuration of a given partner account.

    >

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](#operation/aid_account_settings_price_packages_put)


    ## 2025-02-02


    > Extend account users API with new query parameter `search` to look up
    users by email and/or name

    >

    > - [GET
    /v1/accounts/{oid}/management/users](#operation/aid_accounts_aid_mgmnt_users_get)


    ## 2025-02-01


    > Extend partner API with new optional property for account: `configuration`

    > The `configuration` property can be used to set various configurations on
    a

    > partner account.

    >

    > Currently, only "default price package" is supported—which lets you
    configure

    > a given partner account with a default price package that should be
    assigned

    > to new merchants created from said partner, if nothing else is specified.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](#operation/aid_account_settings_price_packages_put)

    > - [GET /management/settings](#operation/aid_account_aid_get)


    > Extend update price packages endpoint with new query parameter
    `remove_default_price_package` to support removing the default price package
    from the partner configuration of a given partner account.

    >

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](#operation/aid_account_settings_price_packages_put)


    ## 2025-01-07


    > Add endpoint for enrollment to 3D-Secure with Mastercard

    >

    > - [PUT
    /v1/accounts/{oid}/management/settings/connections/3d-secure-enrollment](#operation/aid_account_settings_connections_3ds_enrollment_post)


    > Set merchant category codes as a required field.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss/terminate](#operation/accounts_aid_search_vmss_terminate_merchant_post)


    ## 2025-01-01


    > Extend price package API with PUT price package endpoint for updating an

    > existing price package.

    >

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}](#operation/aid_mgmnt_price_packages_put)


    ## 2024-12-09


    > Add endpoint for adding merchant to Visa Merchant Screening Service.

    > Make category and tradeOverInternet optional in VMSS inquiry request.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss/terminate](#operation/accounts_aid_search_vmss_terminate_merchant_post)

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss](#operation/accounts_aid_search_vmss_post)


    ## 2024-11-12


    > Add endpoint for querying Visa Merchant Screening Service.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss](#operation/accounts_aid_search_vmss_post)


    ## 2024-11-01


    > Extend partner API with additional optional read-only property for account

    > `prev_credit_rating`.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - [POST
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)


    ## 2024-11-01


    > Add option to filter price packages by price package ID with new query
    parameter.

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_get)


    ## 2024-10-17


    > Add `pricing_conditions` to `price_package` to support defining pricing
    conditions for the price package.


    > - [POST
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_post)


    ## 2024-10-04


    > Remove requirement for `price_package_id` in `custom_price_package` when
    creating an account.


    > - [POST
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)


    ## 2024-10-03


    > Add endpoint for getting price package on account


    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}/price-package](#operation/aid_account_price_package_get)


    ## 2024-10-02


    > Revert adding endpoint and definitions for price package comparison


    ## 2024-10-01


    > Extend endpoint to support archiving active payout destination approvals.

    >

    > - [DELETE
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations/{id}](#aid_management_settings_approvals_payout_destinations_id_delete)


    ## 2024-09-11


    > **Break** Change body for sending termination inquiry

    > **Break** Change URL for MATCH search to avoid conflict with existing API

    > Add endpoint for adding a terminated merchant to MATCH

    > Add enum for termination reason code

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/match/terminate](#operation/accounts_aid_search_match_terminate_merchant_post)

    > - [POST
    /v1/accounts/{aid}/compliance-search/match](#operation/accounts_aid_search_match_post)

    > - [GET
    /v1/accounts/{aid}/compliance-search/match/{irn}](#operation/accounts_aid_search_match_get)


    ## 2024-09-06


    > Add endpoints for sending termination inquiry to Mastercard MATCH and
    fetching

    > result of a termination inquiry by its Inquiry Reference Number (IRN)

    >

    > - [POST
    /v1/accounts/{aid}/search/match](#operation/accounts_aid_search_match_post)

    > - [GET
    /v1/accounts/{aid}/search/match/{irn}](#operation/accounts_aid_search_match_get)


    ## 2024-08-13


    > - Add `custom_price_package` when creating an account. This property can
    be used to create a new custom price package for the account.

    > - Add new endpoint for comparing products in price packages.

    > - Add `creation_state` to price package properties to indicate if the
    price package is a custom price package or not.

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - [GET
    /v1/accounts/{oid}/management/price-packages/diff/{pid}](#operation/aid_mgmnt_price_packages_diff_pid_get)


    ## 2024-08-12


    > - Revert change to extend `invites` property when creating an account

    > - Add a new property `invite_users` property that replaces the extended
    spec

    > - for backwards compatibility, the `invites` property will still be
    supported

    > - [POST
    /v1/accounts/{aid}/management/accounts](#operation/aid_mgmnt_accounts_post)


    ## 2024-08-06


    > Extend `invites` property when creating an account

    > with support for first name and last name.

    > Include optional `invitation_note` property when creating an account

    > that can be used to add a note to the invitation email.

    >

    > - [POST
    /v1/accounts/{aid}/management/accounts](#operation/aid_mgmnt_accounts_post)


    ## 2024-07-01


    > Extend the account services with optional read-only features properties

    > to track the service feature requested by merchant and their current

    > status

    > Extend endpoint for updating account settings with support for

    > updating services features

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - [POST /management/accounts](#operation/aid_mgmnt_accounts_post)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)


    ## 2024-05-31


    > Extend partner API with additional optional read-only properties for
    account

    > with `most_expensive_product_price`, `gift_card_revenue_percentage`,

    > `credit_rating`, and `currency`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2024-04-30


    > Add support for configuring TOTP MFA for account user

    >

    > - [PUT /v1/account/user/mfa/totp](#operation/account_user_mfa_totp_put)


    ## 2024-03-31


    > Add `form_submitter` to approvals. Add  `payout_interval_type` payout
    destination approvals.

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](#operation/aid_management_settings_approvals_payment_post)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_post)


    ## 2024-02-22


    > Add `invites` and `actions` to creation of account

    >

    > - [POST
    /v1/accounts/{aid}/management/accounts](#operation/aid_mgmnt_accounts_post)


    ## 2024-02-01


    > Add new payment option `billie` when applying for payment methods

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](#operation/aid_management_settings_approvals_payment_post)


    ## 2024-01-01


    > Add new payment method `klarna.billie`

    >

    > - [POST
    /management/settings/connections/klarna](#operation/aid_account_settings_connections_klarna_post)

    > - [GET
    /management/settings/connections/klarna](#operation/aid_account_settings_connections_klarna_get)


    > Add new price package APIs. New endpoint for managing price packages

    > that can be used when creating new accounts via the partner API

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_get)

    > - [POST
    /v1/accounts/{oid}/management/price-packages](#operation/aid_mgmnt_price_packages_post)

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}@custom-price-packages](#operation/aid_mgmnt_price_packages_ppid_custom_post)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](#operation/aid_account_settings_price_packages_put)


    ## 2023-12-01


    > Add endpoints for Visa Tokenization connection signup

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/connections/visa-tokens](#operation/aid_account_settings_connections_visa_tokens_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/connections/visa-tokens](#operation/aid_account_settings_connections_visa_tokens_get)


    > Extend bambora connection with ability to set token_scope

    >

    > - [POST
    /management/settings/connections/bambora/{callback_reference}](#operation/aid_account_settings_connections_bambora_callback_post)


    > Extend the account user with new aggrement property that can be used

    > to track the terms and conditions accepted by the account user

    >

    > - [POST /management/users](#operation/aid_accounts_aid_mgmnt_users_post)

    > - [PUT
    /management/users/{uid}](#operation/aid_accounts_aid_mgmnt_users_put)

    > - [GET /account/user](#operation/account_user_get)


    ## 2023-11-01


    > Extend partner API with additional optional properties for account

    > with `price_package`, `sale_channel` remove unsupported

    > `statistics.latest`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)


    > Extend partner API with additional optional read-only properties for
    account

    > with `payment_case_status`, `projected_sales`, `average_transaction_value`

    > `merchant_category_code` and `delivery_timeline`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)


    > Add new endpoint for archiving payout destination approvals that are not
    active.

    >

    > - [DELETE
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations/{id}](#aid_management_settings_approvals_payout_destinations_id_delete)


    ## 2023-09-01


    > Add new endpoint for posting Bambora Direct connection

    >

    > - [POST
    /management/settings/connections/bambora-direct](#operation/aid_account_settings_connections_bambora_direct_post)

    >

    > NB! **Deprecates** old Bambora connection endpoint:

    >

    > - [POST
    /management/settings/connections/bambora](#operation/aid_account_settings_connections_bambora_post)


    ## 2023-08-01


    > Extend partner API with additional properties for account with

    > `statistics.metrics`, `permissions`, `company` and applicant.

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#tagoperation/aid_accounts_aid_put)

    > - [POST /v1/accounts/{oid}/signup](#operation/accounts_oid_signup_post)


    ## 2023-06-01


    > Extend response bodies with `approvals_payments_statuses`  and
    `approvals_payout_destinations_statuses` for partners accounts management.

    >

    > - [POST /management/accounts](#operation/aid_mgmnt_accounts_get)

    > - [GET /management/accounts](#operation/aid_mgmnt_accounts_post)

    > - [GET /management/accounts/{aid}](#operation/aid_accounts_aid_get)

    > - [PUT /management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - [DELETE
    /management/accounts/{aid}](#operation/aid_mgmnt_accounts_aid_delete)


    > Add new endpoints for managing Bambora PayFac connections

    >

    > - [POST
    /management/settings/connections/bambora-payfac](#operation/aid_account_settings_connections_bambora_payfac_post)

    > - [GET
    /management/settings/connections/bambora-payfac](#operation/aid_account_settings_connections_bambora_payfac_get)


    ## 2023-04-01


    > Add new endpoints for managing Klarna connection

    >

    > - [POST
    /management/settings/connections/klarna](#operation/aid_account_settings_connections_klarna_post)

    > - [GET
    /management/settings/connections/klarna](#operation/aid_account_settings_connections_klarna_get)


    ## 2023-01-20


    > Extend applicants with optional signup_reference.


    ## 2022-10-06


    > Payout destinations are now referred to as Sellers, the data model is
    unchanged.


    ## 2022-07-01


    > **Break** Require `includes=events.case.contracts` to get CDD contract
    details

    > from cases endpoint. The default response will now by default exclude
    contract

    > details from response

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/cdd/cases](#tag/account-cdd/operation/aid_management_settings_cdd_cases_get)


    ## 2022-06-01


    > Add support for filtering sub-accounts on `connection`,
    `connection_status` and `payment_options`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2022-05-01


    > Add support for including `payout_destination_name` and

    > `payout_destination_description` properties when creating diligence cases

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/cdd/cases](#operation/aid_management_settings_cdd_cases_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/cdd/cases](#operation/aid_management_settings_cdd_cases_get)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_get)


    > Add support for updating `payex`, `collector`, `swish` and `bambora`
    connections

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts/{aid}/connections/{connection}/events](#operation/aid_accounts_aid_connections_events_post)


    ## 2022-04-01


    > Add support for customer user login via Open ID connect. Configure `oidc`
    in

    > the client grant and use the new authorize endpoint to let the user be

    > verified and identified by external authorization server. The
    authorization

    > code received after authorization received by the user can be used to get
    a

    > Dintero access token via the token endpoint

    >

    > - [POST
    /v1/accounts/{oid}/auth/client-grants](#operation/aid_auths_client_grants_post)

    > - [GET
    /v1/accounts/{oid}/auth/oidc/authorize](#operation/aid_auths_oidc_authorize_get)

    > - [POST
    /v1/accounts/{oid}/auth/oidc/token](#operation/aid_auths_oidc_token_post)


    ## 2022-02-08


    > Add new endpoints for initiating a new payout destination application and
    listing payout destination applications

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](#operation/aid_management_settings_approvals_payout_destinations_get)


    ## 2022-02-01


    > Add endpoint for adding Vipps overrides

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings/connections/vipps/overrides](#operation/aid_account_settings_connections_vipps_overrides_put)


    ## 2021-10-01


    > Add endpoints for managing customer due diligence cases

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/cdd/cases](#operation/aid_management_settings_cdd_cases_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/cdd/cases](#operation/aid_management_settings_cdd_cases_get)


    ## 2021-06-01


    > Add support for configuring SMS MFA for account user

    >

    > - [PUT /v1/account/user/mfa/sms](#operation/account_user_mfa_sms_put)


    ## 2021-05-01


    > Add support for `phone_number` in `account.company` and `account.billing`

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)


    > Add new endpoints for managing Bambora connection

    >

    > - [POST
    /management/settings/connections/bambora](#operation/aid_account_settings_connections_bambora_post)

    > - [GET
    /management/settings/connections/bambora](#operation/aid_account_settings_connections_bambora_get)

    > - [POST
    /management/settings/connections/bambora/{callback_reference}](#operation/aid_account_settings_connections_bambora_callback_post)


    ## 2021-04-01


    > Add support for `account_manager`

    >

    > - [POST /accounts/{oid}/signup](#operation/accounts_oid_signup_post)

    > - [POST
    /accounts/{oid}/signup/prefill](#operation/accounts_oid_signup_prefill_post)

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)


    > Add support for filter on services and connections.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)


    > Extend the Account to support new properties, `progression`, `reseller_id`
    and

    `statistics` to services.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_get)


    > Add support for account events.

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts/{aid}/events](#operation/aid_mgmnt_accounts_events_post)

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}/events](#operation/aid_mgmnt_accounts_events_get)


    ## 2021-03-01


    > Make Swish cert and passphrase not required

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/connections/swish/{callback_reference}](#operation/aid_account_settings_connections_swish_callback_post)


    > Add support for changing account user password

    >

    > - [PUT
    /v1/accounts/{aid}/account/user/password](#operation/account_user_password_put)


    > Add support for `authorize` when verifying a signup.

    >

    > - [POST
    /v1/accounts/{aid}/signup/verify](#operation/accounts_oid_signup_verify_post)


    ## 2021-02-01


    > Document `429 Too Many Requests` response from

    >

    > - [POST
    /v1/accounts/{aid}/auth/token](#operation/aid_auths_oauth_token_post)

    > - [POST
    /v1/accounts/{aid}/auth/passwordless](#operation/aid_auth_account_passwordless_post)


    > **Break**: Require `ident_type` and `ident` to be include when requesting
    token

    > with `grant_type=authorization_code`

    >

    > - [POST
    /v1/accounts/{aid}/auth/token](#operation/aid_auths_oauth_token_post)


    > Add support for sending verification code for passwordless login via SMS,
    and

    > `session_id={uuid} to resend the same verification code again

    > Remove unsupported request options,`send=link` and `type=account`.

    >

    > - [POST
    /v1/accounts/{aid}/auth/passwordless](#operation/aid_auth_account_passwordless_post)


    ## 2021-01-01


    > Add support for logging on without MFA even if configured with MFA

    >

    > - [POST
    /v1/accounts/{oid}/auth/token](#operation/aid_auths_oauth_token_post)


    > Add support for managing account users scopes with roles.

    >

    > - [Roles](#tag/roles)

    > - [POST /management/users](#operation/aid_accounts_aid_mgmnt_users_post)

    > - [PUT
    /management/users/{uid}](#operation/aid_accounts_aid_mgmnt_users_put)


    ## 2020-11-01


    > Extend the endpoint for getting user accounts to include the accounts

    > `display_name` and `icon_url`.

    >

    > - [GET /account/user](#operation/account_user_get)


    > Add support for account users authenticated by external Identity
    providers.

    > External authentication is limited to account users created with

    > `authentication_type=external`.

    >

    > - [POST /management/users](#operation/aid_accounts_aid_mgmnt_users_get)

    >

    > Following endpoints has been updated to allow Bearer authorization using

    > ID token issued by external Identity provider.

    >

    > - [GET /account/user](#operation/account_user_get)

    > - [POST /auth/token](#operation/aid_auths_oauth_token_post)

    >

    > Account has been updated with `jwks.uri` property that is required to

    > validate the ID tokens issued by external identity providers.


    ## 2020-09-01


    > Add new endpoint for handling HTTP redirect with ID token query parameter

    >

    > - [POST /auth/redirect](#operation/aid_auths_oauth_redirect_post)


    > Add new endpoint for uploading assets

    >

    > - [POST /management/assets](#tag/account-assets)


    ## 2020-07-01


    > Add new endpoints for managing Swish connection

    >

    > - [POST
    /management/settings/connections/swish](#operation/aid_account_settings_connections_swish_post)

    > - [GET
    /management/settings/connections/swish](#operation/aid_account_settings_connections_swish_get)

    > - [POST
    /management/settings/connections/swish/{callback_reference}](#operation/aid_account_settings_connections_swish_callback_post)


    ## 2020-05-01


    > Extend the AccountCompany with `email` and `technical_email`

    >

    > - [PUT
    /accounts/{aid}/management/settings](#operation/aid_account_settings_put)

    > - [POST
    /accounts/{oid}/management/accounts](#operation/aid_mgmnt_accounts_post)

    > - [PUT
    /accounts/{oid}/management/accounts/{aid}](#operation/aid_accounts_aid_put)


    ## 2020-01-31


    > Add support for `applicant.agreement.attachments`

    >

    > - [POST
    /accounts/{oid}/signup](http://localhost:8080/#operation/accounts_oid_signup_post)

    >


    > Add support for enabling MFA (OOB) for auth users.

    >

    > - [POST /auth/users](#operation/aid_auth_users_post)


    ## 2019-12-31


    > Extend the AccountApplicant with support for

    > `promo_code` and utm campaign codes.

    >

    > - [POST /signup](#operation/accounts_oid_signup_post)


    ## 2019-11-31


    > Add support for creating client with description

    >

    > - [POST /auth/clients](#operation/aid_auth_clients_post)


    ## 2019-09-31


    > Extend settings with PayEx connections

    >

    > - [GET /management/settings](#operation/aid_account_aid_get)

    > - [GET /management/accounts](#operation/aid_mgmnt_accounts_get)


    ## 2019-07-31


    > Add new endpoints for managing PayEx connection

    >

    > - [POST
    /management/settings/connections/payex/{payment_product_type}](#operation/aid_account_settings_connections_payex_post)

    > - [GET
    /management/settings/connections/payex/{payment_product_type}](#operation/aid_account_settings_connections_payex_get)

    > - [POST
    /management/settings/connections/payex/{payment_product_type}/{callback_reference}](#operation/aid_account_settings_connections_payex_callback_post)


    ## 2019-06-31


    > The scope required for accessing endpoint has changed,

    > we will continue to support the old scopes but they was removed from

    > the documentation


    > Support `search`, `limit` and `starting_after` query parameter

    > when listing partner accounts

    >

    > - [GET /management/accounts](#operation/aid_mgmnt_accounts_get)


    > Support for issuing exchange token for a sub-account,

    > to allow partner accounts to manage sub accounts.

    >

    > - [POST
    /auth/impersonate_token](#operation/aid_auths_oauth_exchange_token_post)


    ## 2019-05-31


    > Support for including a Refresh Token when requesting

    > an Access Token. Use `grant-type=refresh_token` to get an Access Token

    > from a Refresh Token.

    >

    > - [POST /auth/token](#operation/aid_auths_oauth_token_post)


    > Support for revoking a Refresh Token

    >

    > - [POST /auth/revoke](#operation/aid_auths_oauth_revoke_post)


    ## 2018-12-17


    > Rename typo in Account definition

    > All `bussiness_name` properties renamed to `business_name`
  contact:
    name: API Integration Support
    email: integration@dintero.com
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: auth users
    x-displayName: users
    description: Admin users
  - name: account users
    x-displayName: users
    description: |
      Admin user for an account. The user is allowed to manage the
      account and administrate access via client/grants
  - name: onboarding
    description: |
      Onboard a merchant to the Dintero platform
  - name: account-onboarding
    x-displayName: account
    description: |
      Manage the signup of a new merchant account
  - name: account-onboarding-prefill
    x-displayName: account-prefill
    description: |
      Manage prefilled signup of a new merchant account
  - name: account-connections
    x-displayName: connections
    description: |
      Manage setup of account connections to external services
  - name: account-settings
    x-displayName: settings
    description: Manage account settings
  - name: connection-onboarding
    x-displayName: connections
    description: |
      Manage the setup of a new account connection
  - name: account-fraud-search
    x-displayName: searches
    description: |
      Search external registers for any issues related to the account
  - name: account-assets
    x-displayName: assets
    description: |
      Manage account assets
  - name: account-stores
    x-displayName: stores
    description: |
      Manage account stores
  - name: account-terminals
    x-displayName: terminals
    description: |
      Manage account terminals
  - name: account-cdd
    x-displayName: due diligence
    description: |
      Manage account KYC/AML cases
  - name: approvals
    x-displayName: approvals
    description: |
      Account approval processes
  - name: price-packages
    x-displayName: price packages
    description: Manage price packages for the account
  - name: payout-destinations
    x-displayName: payout destinations
    description: |
      Payout destinations
  - name: payout-instructions
    x-displayName: payout instructions
    description: |
      A payout instruction is owned by and entity and instructs how
      payout will be done to the entity

      The instructions includes information about transfer instruments is
      enabled and what transfer instruments to use given a specific payout
      currency
  - name: account-price-package
    x-displayName: price package
    description: Manage price package on the account
paths:
  /accounts/{aid}/stores/{store_id}:
    get:
      tags:
        - account-stores
      summary: Store details
      description: |
        Get store details

        scopes:
        - admin:accounts
        - read:accounts
      operationId: aid_account_management_stores_sid_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/StoreIdPath'
      responses:
        '200':
          $ref: '#/components/responses/Store'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - JWT: []
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    StoreIdPath:
      name: store_id
      description: store id
      in: path
      required: true
      schema:
        type: string
        maxLength: 255
  responses:
    Store:
      description: Store
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Store'
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Store:
      type: object
      allOf:
        - $ref: '#/components/schemas/StoreBase'
        - type: object
          properties:
            terminals:
              type: array
              description: |
                Terminals associated with this store.
              items:
                $ref: '#/components/schemas/StoreTerminal'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    StoreBase:
      type: object
      allOf:
        - $ref: '#/components/schemas/StoreInput'
        - $ref: '#/components/schemas/StoreReadOnly'
    StoreTerminal:
      type: object
      required:
        - terminal_id
        - device_serial_number
      properties:
        terminal_id:
          type: string
          example: T312
        device_serial_number:
          type: string
          example: 181f1a3e-b81b-4460-a01b-2a3be2a253a1
        status:
          $ref: '#/components/schemas/TerminalStatus'
    StoreInput:
      allOf:
        - $ref: '#/components/schemas/StoreUpdateInput'
        - type: object
          required:
            - store_id
          properties:
            store_id:
              type: string
              example: S312
              maxLength: 20
    StoreReadOnly:
      type: object
      required:
        - id
        - created_at
        - created_by
        - updated_at
        - updated_by
        - status
        - verified
        - number_of_terminals
      properties:
        id:
          type: string
        created_at:
          type: string
        created_by:
          type: string
        updated_at:
          type: string
        updated_by:
          type: string
        status:
          type: string
          enum:
            - DELETED
            - ACTIVE
            - SUSPENDED
        verified:
          type: boolean
          description: The store data have been verified
        number_of_terminals:
          type: integer
          description: Number of terminals associated with a store
        payout_destination:
          $ref: '#/components/schemas/StorePayoutDestination'
        operator_payout_destinations:
          type: array
          description: >
            Operator destinations associated with this store. Included when
            includes=operator_payout_destinations is used.
          items:
            $ref: '#/components/schemas/OperatorPayoutDestination'
    TerminalStatus:
      type: string
      description: The status of the terminal
      readOnly: true
      enum:
        - DELETED
        - ACTIVE
        - INACTIVE
    StoreUpdateInput:
      type: object
      properties:
        organization:
          type: object
          description: The organization for the store
          required:
            - organization_number
          properties:
            organization_number:
              type: string
            country:
              type: string
              readOnly: true
              pattern: ^[A-Z]{2}$
              description: ISO 3166-1 country code for the organization number
              example: 'NO'
            type:
              type: string
              default: main_unit
              enum:
                - main_unit
                - sub_unit
            name:
              type: string
            trade_name:
              type: string
        store_name:
          type: string
        email:
          type: string
          format: email
        phone_number:
          type: string
          format: E.164
          pattern: ^\+[1-9]\d{1,14}$
          description: A phone number in E.164 format
          example: '+4799999999'
        address:
          $ref: '#/components/schemas/Address'
        coordinates:
          type: object
          properties:
            latitude:
              type: number
              format: float
              example: 59.949923
            longitude:
              type: number
              format: float
              example: 10.766888
          required:
            - latitude
            - longitude
          description: The coordinates of the store
        website:
          type: string
        payout_destination:
          type: object
          description: >
            The payout destination associated with this store.


            A store with a payout destination will get all its properties

            (address, phone_number +++) set by validated data so you

            will not be allowed to set custom address when payout destination

            is set


            The organization_number must match the organization number of the

            payout destination


            These exceptions do not apply to payout destination's sub-units
            where

            different sub-unit organization_number is allowed and the details
            will

            be set by what is available in the public registers.
          required:
            - payout_destination_id
          properties:
            payout_destination_id:
              $ref: '#/components/schemas/PayoutDestinationId'
    StorePayoutDestination:
      type: object
      required:
        - status
        - type
      properties:
        merchant_category_code:
          type: string
          pattern: ^\d{1,4}
          format: mcc
          example: '2741'
        status:
          $ref: '#/components/schemas/ApprovalStatus'
        type:
          $ref: '#/components/schemas/LegalEntityType'
    OperatorPayoutDestination:
      type: object
      required:
        - payout_destination_id
        - status
        - type
      properties:
        payout_destination_id:
          type: string
          description: The unique identifier of the payout destination
        organization_number:
          type: string
          description: National organization number valid in the country specified
        name:
          type: string
          description: The name of the organization
        trade_name:
          type: string
          description: The trade name of the organization
        merchant_category_code:
          type: string
          pattern: ^\d{1,4}
          format: mcc
          example: '2741'
        status:
          $ref: '#/components/schemas/ApprovalStatus'
        type:
          $ref: '#/components/schemas/LegalEntityType'
    Address:
      type: object
      required:
        - address_line
        - postal_place
        - country
      properties:
        address_line:
          type: string
          example: Sommerkroveien 34
        address_line_2:
          type: string
          example: PB 123
        postal_code:
          type: string
          example: '0349'
        postal_place:
          type: string
          example: Oslo
        country:
          type: string
          format: iso-3166-1
          description: |
            ISO 3166-1 country code
          example: 'NO'
    PayoutDestinationId:
      type: string
      maxLength: 40
      pattern: ^[A-Za-z0-9_-]+$
      example: PD032
    ApprovalStatus:
      type: string
      enum:
        - ACTIVE
        - DECLINED
        - UNDER_MANUAL_REVIEW
        - AUTOMATIC_REVIEW
        - WAITING_FOR_SIGNATURE
        - WAITING_FOR_DECLARATION
        - ERROR
        - ARCHIVED
        - WAITING_FOR_DETAILS
        - TERMINATED
    LegalEntityType:
      type: string
      description: >
        - For a company seller select `company` or leave blank. Required fields
        are
          `organization_number` and `country_code`.
        - For an individual seller select `individual`. Provide optional fields
        in
          the individual object.
      enum:
        - company
        - individual
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get
        Token](https://docs.dintero.com/api.html#operation/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````